Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.util
Class CDAR2AdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ohf.ihe.common.cdar2.util.CDAR2AdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class CDAR2AdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `CDAR2Package`

Constructor Summary
`CDAR2AdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createADAdapter()` Creates a new adapter for an object of class '`AD`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createADXPAdapter()` Creates a new adapter for an object of class '`ADXP`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpAdditionalLocatorAdapter()` Creates a new adapter for an object of class '`Adxp Additional Locator`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpBuildingNumberSuffixAdapter()` Creates a new adapter for an object of class '`Adxp Building Number Suffix`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpCareOfAdapter()` Creates a new adapter for an object of class '`Adxp Care Of`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpCensusTractAdapter()` Creates a new adapter for an object of class '`Adxp Census Tract`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpCityAdapter()` Creates a new adapter for an object of class '`Adxp City`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpCountryAdapter()` Creates a new adapter for an object of class '`Adxp Country`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpCountyAdapter()` Creates a new adapter for an object of class '`Adxp County`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpDelimiterAdapter()` Creates a new adapter for an object of class '`Adxp Delimiter`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpDeliveryAddressLineAdapter()` Creates a new adapter for an object of class '`Adxp Delivery Address Line`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpDeliveryInstallationAreaAdapter()` Creates a new adapter for an object of class '`Adxp Delivery Installation Area`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpDeliveryInstallationQualifierAdapter()` Creates a new adapter for an object of class '`Adxp Delivery Installation Qualifier`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpDeliveryInstallationTypeAdapter()` Creates a new adapter for an object of class '`Adxp Delivery Installation Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpDeliveryModeAdapter()` Creates a new adapter for an object of class '`Adxp Delivery Mode`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpDeliveryModeIdentifierAdapter()` Creates a new adapter for an object of class '`Adxp Delivery Mode Identifier`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpDirectionAdapter()` Creates a new adapter for an object of class '`Adxp Direction`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpHouseNumberAdapter()` Creates a new adapter for an object of class '`Adxp House Number`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpHouseNumberNumericAdapter()` Creates a new adapter for an object of class '`Adxp House Number Numeric`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpPostalCodeAdapter()` Creates a new adapter for an object of class '`Adxp Postal Code`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpPostBoxAdapter()` Creates a new adapter for an object of class '`Adxp Post Box`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpPrecinctAdapter()` Creates a new adapter for an object of class '`Adxp Precinct`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpStateAdapter()` Creates a new adapter for an object of class '`Adxp State`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpStreetAddressLineAdapter()` Creates a new adapter for an object of class '`Adxp Street Address Line`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpStreetNameAdapter()` Creates a new adapter for an object of class '`Adxp Street Name`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpStreetNameBaseAdapter()` Creates a new adapter for an object of class '`Adxp Street Name Base`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpStreetNameTypeAdapter()` Creates a new adapter for an object of class '`Adxp Street Name Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpUnitIDAdapter()` Creates a new adapter for an object of class '`Adxp Unit ID`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdxpUnitTypeAdapter()` Creates a new adapter for an object of class '`Adxp Unit Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createANYAdapter()` Creates a new adapter for an object of class '`ANY`'.
`org.eclipse.emf.common.notify.Adapter` | `createANYNonNullAdapter()` Creates a new adapter for an object of class '`ANY Non Null`'.
`org.eclipse.emf.common.notify.Adapter` | `createBIN1Adapter()` Creates a new adapter for an object of class '`BIN1`'.
`org.eclipse.emf.common.notify.Adapter` | `createBL1Adapter()` Creates a new adapter for an object of class '`BL1`'.
`org.eclipse.emf.common.notify.Adapter` | `createBN1Adapter()` Creates a new adapter for an object of class '`BN1`'.
`org.eclipse.emf.common.notify.Adapter` | `createBXITCDAdapter()` Creates a new adapter for an object of class '`BXITCD`'.
`org.eclipse.emf.common.notify.Adapter` | `createBXITIVLPQAdapter()` Creates a new adapter for an object of class '`BXITIVLPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createCDAdapter()` Creates a new adapter for an object of class '`CD`'.
`org.eclipse.emf.common.notify.Adapter` | `createCEAdapter()` Creates a new adapter for an object of class '`CE`'.
`org.eclipse.emf.common.notify.Adapter` | `createCOAdapter()` Creates a new adapter for an object of class '`CO`'.
`org.eclipse.emf.common.notify.Adapter` | `createCRAdapter()` Creates a new adapter for an object of class '`CR`'.
`org.eclipse.emf.common.notify.Adapter` | `createCS1Adapter()` Creates a new adapter for an object of class '`CS1`'.
`org.eclipse.emf.common.notify.Adapter` | `createCVAdapter()` Creates a new adapter for an object of class '`CV`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` | `createEDAdapter()` Creates a new adapter for an object of class '`ED`'.
`org.eclipse.emf.common.notify.Adapter` | `createEIVLEventAdapter()` Creates a new adapter for an object of class '`EIVL Event`'.
`org.eclipse.emf.common.notify.Adapter` | `createEIVLPPDTSAdapter()` Creates a new adapter for an object of class '`EIVLPPDTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createEIVLTSAdapter()` Creates a new adapter for an object of class '`EIVLTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createENAdapter()` Creates a new adapter for an object of class '`EN`'.
`org.eclipse.emf.common.notify.Adapter` | `createEnDelimiterAdapter()` Creates a new adapter for an object of class '`En Delimiter`'.
`org.eclipse.emf.common.notify.Adapter` | `createEnFamilyAdapter()` Creates a new adapter for an object of class '`En Family`'.
`org.eclipse.emf.common.notify.Adapter` | `createEnGivenAdapter()` Creates a new adapter for an object of class '`En Given`'.
`org.eclipse.emf.common.notify.Adapter` | `createEnPrefixAdapter()` Creates a new adapter for an object of class '`En Prefix`'.
`org.eclipse.emf.common.notify.Adapter` | `createEnSuffixAdapter()` Creates a new adapter for an object of class '`En Suffix`'.
`org.eclipse.emf.common.notify.Adapter` | `createENXPAdapter()` Creates a new adapter for an object of class '`ENXP`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createGLISTPQAdapter()` Creates a new adapter for an object of class '`GLISTPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createGLISTTSAdapter()` Creates a new adapter for an object of class '`GLISTTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createHXITCEAdapter()` Creates a new adapter for an object of class '`HXITCE`'.
`org.eclipse.emf.common.notify.Adapter` | `createHXITPQAdapter()` Creates a new adapter for an object of class '`HXITPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createIIAdapter()` Creates a new adapter for an object of class '`II`'.
`org.eclipse.emf.common.notify.Adapter` | `createINT1Adapter()` Creates a new adapter for an object of class '`INT1`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVLINTAdapter()` Creates a new adapter for an object of class '`IVLINT`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVLMOAdapter()` Creates a new adapter for an object of class '`IVLMO`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVLPPDPQAdapter()` Creates a new adapter for an object of class '`IVLPPDPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVLPPDTSAdapter()` Creates a new adapter for an object of class '`IVLPPDTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVLPQAdapter()` Creates a new adapter for an object of class '`IVLPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVLREALAdapter()` Creates a new adapter for an object of class '`IVLREAL`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVLTSAdapter()` Creates a new adapter for an object of class '`IVLTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVXBINTAdapter()` Creates a new adapter for an object of class '`IVXBINT`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVXBMOAdapter()` Creates a new adapter for an object of class '`IVXBMO`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVXBPPDPQAdapter()` Creates a new adapter for an object of class '`IVXBPPDPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVXBPPDTSAdapter()` Creates a new adapter for an object of class '`IVXBPPDTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVXBPQAdapter()` Creates a new adapter for an object of class '`IVXBPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVXBREALAdapter()` Creates a new adapter for an object of class '`IVXBREAL`'.
`org.eclipse.emf.common.notify.Adapter` | `createIVXBTSAdapter()` Creates a new adapter for an object of class '`IVXBTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createMOAdapter()` Creates a new adapter for an object of class '`MO`'.
`org.eclipse.emf.common.notify.Adapter` | `createONAdapter()` Creates a new adapter for an object of class '`ON`'.
`org.eclipse.emf.common.notify.Adapter` | `createPIVLPPDTSAdapter()` Creates a new adapter for an object of class '`PIVLPPDTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createPIVLTSAdapter()` Creates a new adapter for an object of class '`PIVLTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createPNAdapter()` Creates a new adapter for an object of class '`PN`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ActAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Act`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040AssignedAuthorAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Assigned Author`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040AssignedCustodianAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Assigned Custodian`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040AssignedEntityAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Assigned Entity`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040AssociatedEntityAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Associated Entity`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040AuthenticatorAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Authenticator`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040AuthorAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Author`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040AuthoringDeviceAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Authoring Device`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040AuthorizationAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Authorization`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040BirthplaceAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Birthplace`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ClinicalDocumentAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Clinical Document`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Component1Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Component1`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Component2Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Component2`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Component3Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Component3`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Component4Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Component4`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Component5Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Component5`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ConsentAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Consent`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ConsumableAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Consumable`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040CriterionAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Criterion`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040CustodianAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Custodian`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040CustodianOrganizationAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Custodian Organization`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040DataEntererAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Data Enterer`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040DeviceAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Device`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040DocumentationOfAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Documentation Of`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040EncompassingEncounterAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Encompassing Encounter`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040EncounterAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Encounter`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040EncounterParticipantAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Encounter Participant`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040EntityAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Entity`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040EntryAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Entry`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040EntryRelationshipAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Entry Relationship`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ExternalActAdapter()` Creates a new adapter for an object of class '`POCDMT000040 External Act`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ExternalDocumentAdapter()` Creates a new adapter for an object of class '`POCDMT000040 External Document`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ExternalObservationAdapter()` Creates a new adapter for an object of class '`POCDMT000040 External Observation`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ExternalProcedureAdapter()` Creates a new adapter for an object of class '`POCDMT000040 External Procedure`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040GuardianAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Guardian`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040HealthCareFacilityAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Health Care Facility`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Informant12Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Informant12`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040InformationRecipientAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Information Recipient`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040InfrastructureRootTypeIdAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Infrastructure Root Type Id`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040InFulfillmentOfAdapter()` Creates a new adapter for an object of class '`POCDMT000040 In Fulfillment Of`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040IntendedRecipientAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Intended Recipient`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040LabeledDrugAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Labeled Drug`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040LanguageCommunicationAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Language Communication`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040LegalAuthenticatorAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Legal Authenticator`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040LocationAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Location`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040MaintainedEntityAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Maintained Entity`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ManufacturedProductAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Manufactured Product`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040MaterialAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Material`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040NonXMLBodyAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Non XML Body`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ObservationAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Observation`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ObservationMediaAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Observation Media`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ObservationRangeAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Observation Range`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040OrderAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Order`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040OrganizationAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Organization`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040OrganizationPartOfAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Organization Part Of`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040OrganizerAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Organizer`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ParentDocumentAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Parent Document`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Participant1Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Participant1`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Participant2Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Participant2`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ParticipantRoleAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Participant Role`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040PatientAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Patient`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040PatientRoleAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Patient Role`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Performer1Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Performer1`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040Performer2Adapter()` Creates a new adapter for an object of class '`POCDMT000040 Performer2`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040PersonAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Person`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040PlaceAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Place`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040PlayingEntityAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Playing Entity`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040PreconditionAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Precondition`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ProcedureAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Procedure`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ProductAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Product`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040RecordTargetAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Record Target`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ReferenceAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Reference`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ReferenceRangeAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Reference Range`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040RegionOfInterestAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Region Of Interest`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040RegionOfInterestValueAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Region Of Interest Value`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040RelatedDocumentAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Related Document`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040RelatedEntityAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Related Entity`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040RelatedSubjectAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Related Subject`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ResponsiblePartyAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Responsible Party`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040SectionAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Section`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040ServiceEventAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Service Event`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040SpecimenAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Specimen`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040SpecimenRoleAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Specimen Role`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040StructuredBodyAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Structured Body`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040SubjectAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Subject`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040SubjectPersonAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Subject Person`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040SubstanceAdministrationAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Substance Administration`'.
`org.eclipse.emf.common.notify.Adapter` | `createPOCDMT000040SupplyAdapter()` Creates a new adapter for an object of class '`POCDMT000040 Supply`'.
`org.eclipse.emf.common.notify.Adapter` | `createPPDPQAdapter()` Creates a new adapter for an object of class '`PPDPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createPPDTSAdapter()` Creates a new adapter for an object of class '`PPDTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createPQAdapter()` Creates a new adapter for an object of class '`PQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createPQRAdapter()` Creates a new adapter for an object of class '`PQR`'.
`org.eclipse.emf.common.notify.Adapter` | `createQTYAdapter()` Creates a new adapter for an object of class '`QTY`'.
`org.eclipse.emf.common.notify.Adapter` | `createREAL1Adapter()` Creates a new adapter for an object of class '`REAL1`'.
`org.eclipse.emf.common.notify.Adapter` | `createRTOAdapter()` Creates a new adapter for an object of class '`RTO`'.
`org.eclipse.emf.common.notify.Adapter` | `createRTOMOPQAdapter()` Creates a new adapter for an object of class '`RTOMOPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createRTOPQPQAdapter()` Creates a new adapter for an object of class '`RTOPQPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createRTOQTYQTYAdapter()` Creates a new adapter for an object of class '`RTOQTYQTY`'.
`org.eclipse.emf.common.notify.Adapter` | `createSCAdapter()` Creates a new adapter for an object of class '`SC`'.
`org.eclipse.emf.common.notify.Adapter` | `createSLISTPQAdapter()` Creates a new adapter for an object of class '`SLISTPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createSLISTTSAdapter()` Creates a new adapter for an object of class '`SLISTTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createST1Adapter()` Creates a new adapter for an object of class '`ST1`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocBrAdapter()` Creates a new adapter for an object of class '`Struc Doc Br`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocCaptionAdapter()` Creates a new adapter for an object of class '`Struc Doc Caption`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocColAdapter()` Creates a new adapter for an object of class '`Struc Doc Col`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocColgroupAdapter()` Creates a new adapter for an object of class '`Struc Doc Colgroup`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocContentAdapter()` Creates a new adapter for an object of class '`Struc Doc Content`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocFootnoteAdapter()` Creates a new adapter for an object of class '`Struc Doc Footnote`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocFootnoteRefAdapter()` Creates a new adapter for an object of class '`Struc Doc Footnote Ref`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocItemAdapter()` Creates a new adapter for an object of class '`Struc Doc Item`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocLinkHtmlAdapter()` Creates a new adapter for an object of class '`Struc Doc Link Html`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocListAdapter()` Creates a new adapter for an object of class '`Struc Doc List`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocParagraphAdapter()` Creates a new adapter for an object of class '`Struc Doc Paragraph`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocRenderMultiMediaAdapter()` Creates a new adapter for an object of class '`Struc Doc Render Multi Media`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocSubAdapter()` Creates a new adapter for an object of class '`Struc Doc Sub`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocSupAdapter()` Creates a new adapter for an object of class '`Struc Doc Sup`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTableAdapter()` Creates a new adapter for an object of class '`Struc Doc Table`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTbodyAdapter()` Creates a new adapter for an object of class '`Struc Doc Tbody`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTdAdapter()` Creates a new adapter for an object of class '`Struc Doc Td`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTextAdapter()` Creates a new adapter for an object of class '`Struc Doc Text`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTfootAdapter()` Creates a new adapter for an object of class '`Struc Doc Tfoot`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocThAdapter()` Creates a new adapter for an object of class '`Struc Doc Th`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTheadAdapter()` Creates a new adapter for an object of class '`Struc Doc Thead`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTitleAdapter()` Creates a new adapter for an object of class '`Struc Doc Title`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTitleContentAdapter()` Creates a new adapter for an object of class '`Struc Doc Title Content`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTitleFootnoteAdapter()` Creates a new adapter for an object of class '`Struc Doc Title Footnote`'.
`org.eclipse.emf.common.notify.Adapter` | `createStrucDocTrAdapter()` Creates a new adapter for an object of class '`Struc Doc Tr`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXCMCDAdapter()` Creates a new adapter for an object of class '`SXCMCD`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXCMINTAdapter()` Creates a new adapter for an object of class '`SXCMINT`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXCMMOAdapter()` Creates a new adapter for an object of class '`SXCMMO`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXCMPPDPQAdapter()` Creates a new adapter for an object of class '`SXCMPPDPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXCMPPDTSAdapter()` Creates a new adapter for an object of class '`SXCMPPDTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXCMPQAdapter()` Creates a new adapter for an object of class '`SXCMPQ`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXCMREALAdapter()` Creates a new adapter for an object of class '`SXCMREAL`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXCMTSAdapter()` Creates a new adapter for an object of class '`SXCMTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createSXPRTSAdapter()` Creates a new adapter for an object of class '`SXPRTS`'.
`org.eclipse.emf.common.notify.Adapter` | `createTELAdapter()` Creates a new adapter for an object of class '`TEL`'.
`org.eclipse.emf.common.notify.Adapter` | `createThumbnailAdapter()` Creates a new adapter for an object of class '`Thumbnail`'.
`org.eclipse.emf.common.notify.Adapter` | `createTNAdapter()` Creates a new adapter for an object of class '`TN`'.
`org.eclipse.emf.common.notify.Adapter` | `createTS1Adapter()` Creates a new adapter for an object of class '`TS1`'.
`org.eclipse.emf.common.notify.Adapter` | `createURL1Adapter()` Creates a new adapter for an object of class '`URL1`'.
`org.eclipse.emf.common.notify.Adapter` | `createUVPTSAdapter()` Creates a new adapter for an object of class '`UVPTS`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDAR2AdapterFactory

    public CDAR2AdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createADAdapter

    public org.eclipse.emf.common.notify.Adapter createADAdapter()

  Creates a new adapter for an object of class '`AD`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AD`

### createADXPAdapter

    public org.eclipse.emf.common.notify.Adapter createADXPAdapter()

  Creates a new adapter for an object of class '`ADXP`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ADXP`

### createAdxpAdditionalLocatorAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpAdditionalLocatorAdapter()

  Creates a new adapter for an object of class '`Adxp Additional Locator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpAdditionalLocator`

### createAdxpBuildingNumberSuffixAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpBuildingNumberSuffixAdapter()

  Creates a new adapter for an object of class '`Adxp Building Number Suffix`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpBuildingNumberSuffix`

### createAdxpCareOfAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpCareOfAdapter()

  Creates a new adapter for an object of class '`Adxp Care Of`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpCareOf`

### createAdxpCensusTractAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpCensusTractAdapter()

  Creates a new adapter for an object of class '`Adxp Census Tract`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpCensusTract`

### createAdxpCityAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpCityAdapter()

  Creates a new adapter for an object of class '`Adxp City`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpCity`

### createAdxpCountryAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpCountryAdapter()

  Creates a new adapter for an object of class '`Adxp Country`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpCountry`

### createAdxpCountyAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpCountyAdapter()

  Creates a new adapter for an object of class '`Adxp County`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpCounty`

### createAdxpDelimiterAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpDelimiterAdapter()

  Creates a new adapter for an object of class '`Adxp Delimiter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpDelimiter`

### createAdxpDeliveryAddressLineAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpDeliveryAddressLineAdapter()

  Creates a new adapter for an object of class '`Adxp Delivery Address Line`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpDeliveryAddressLine`

### createAdxpDeliveryInstallationAreaAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpDeliveryInstallationAreaAdapter()

  Creates a new adapter for an object of class '`Adxp Delivery Installation Area`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpDeliveryInstallationArea`

### createAdxpDeliveryInstallationQualifierAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpDeliveryInstallationQualifierAdapter()

  Creates a new adapter for an object of class '`Adxp Delivery Installation Qualifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpDeliveryInstallationQualifier`

### createAdxpDeliveryInstallationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpDeliveryInstallationTypeAdapter()

  Creates a new adapter for an object of class '`Adxp Delivery Installation Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpDeliveryInstallationType`

### createAdxpDeliveryModeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpDeliveryModeAdapter()

  Creates a new adapter for an object of class '`Adxp Delivery Mode`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpDeliveryMode`

### createAdxpDeliveryModeIdentifierAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpDeliveryModeIdentifierAdapter()

  Creates a new adapter for an object of class '`Adxp Delivery Mode Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpDeliveryModeIdentifier`

### createAdxpDirectionAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpDirectionAdapter()

  Creates a new adapter for an object of class '`Adxp Direction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpDirection`

### createAdxpHouseNumberAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpHouseNumberAdapter()

  Creates a new adapter for an object of class '`Adxp House Number`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpHouseNumber`

### createAdxpHouseNumberNumericAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpHouseNumberNumericAdapter()

  Creates a new adapter for an object of class '`Adxp House Number Numeric`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpHouseNumberNumeric`

### createAdxpPostalCodeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpPostalCodeAdapter()

  Creates a new adapter for an object of class '`Adxp Postal Code`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpPostalCode`

### createAdxpPostBoxAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpPostBoxAdapter()

  Creates a new adapter for an object of class '`Adxp Post Box`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpPostBox`

### createAdxpPrecinctAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpPrecinctAdapter()

  Creates a new adapter for an object of class '`Adxp Precinct`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpPrecinct`

### createAdxpStateAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpStateAdapter()

  Creates a new adapter for an object of class '`Adxp State`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpState`

### createAdxpStreetAddressLineAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpStreetAddressLineAdapter()

  Creates a new adapter for an object of class '`Adxp Street Address Line`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpStreetAddressLine`

### createAdxpStreetNameAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpStreetNameAdapter()

  Creates a new adapter for an object of class '`Adxp Street Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpStreetName`

### createAdxpStreetNameBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpStreetNameBaseAdapter()

  Creates a new adapter for an object of class '`Adxp Street Name Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpStreetNameBase`

### createAdxpStreetNameTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpStreetNameTypeAdapter()

  Creates a new adapter for an object of class '`Adxp Street Name Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpStreetNameType`

### createAdxpUnitIDAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpUnitIDAdapter()

  Creates a new adapter for an object of class '`Adxp Unit ID`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpUnitID`

### createAdxpUnitTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdxpUnitTypeAdapter()

  Creates a new adapter for an object of class '`Adxp Unit Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdxpUnitType`

### createANYAdapter

    public org.eclipse.emf.common.notify.Adapter createANYAdapter()

  Creates a new adapter for an object of class '`ANY`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ANY`

### createANYNonNullAdapter

    public org.eclipse.emf.common.notify.Adapter createANYNonNullAdapter()

  Creates a new adapter for an object of class '`ANY Non Null`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ANYNonNull`

### createBIN1Adapter

    public org.eclipse.emf.common.notify.Adapter createBIN1Adapter()

  Creates a new adapter for an object of class '`BIN1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BIN1`

### createBL1Adapter

    public org.eclipse.emf.common.notify.Adapter createBL1Adapter()

  Creates a new adapter for an object of class '`BL1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BL1`

### createBN1Adapter

    public org.eclipse.emf.common.notify.Adapter createBN1Adapter()

  Creates a new adapter for an object of class '`BN1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BN1`

### createBXITCDAdapter

    public org.eclipse.emf.common.notify.Adapter createBXITCDAdapter()

  Creates a new adapter for an object of class '`BXITCD`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BXITCD`

### createBXITIVLPQAdapter

    public org.eclipse.emf.common.notify.Adapter createBXITIVLPQAdapter()

  Creates a new adapter for an object of class '`BXITIVLPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BXITIVLPQ`

### createCDAdapter

    public org.eclipse.emf.common.notify.Adapter createCDAdapter()

  Creates a new adapter for an object of class '`CD`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CD`

### createCEAdapter

    public org.eclipse.emf.common.notify.Adapter createCEAdapter()

  Creates a new adapter for an object of class '`CE`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CE`

### createCOAdapter

    public org.eclipse.emf.common.notify.Adapter createCOAdapter()

  Creates a new adapter for an object of class '`CO`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CO`

### createCRAdapter

    public org.eclipse.emf.common.notify.Adapter createCRAdapter()

  Creates a new adapter for an object of class '`CR`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CR`

### createCS1Adapter

    public org.eclipse.emf.common.notify.Adapter createCS1Adapter()

  Creates a new adapter for an object of class '`CS1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CS1`

### createCVAdapter

    public org.eclipse.emf.common.notify.Adapter createCVAdapter()

  Creates a new adapter for an object of class '`CV`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CV`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createEDAdapter

    public org.eclipse.emf.common.notify.Adapter createEDAdapter()

  Creates a new adapter for an object of class '`ED`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ED`

### createEIVLEventAdapter

    public org.eclipse.emf.common.notify.Adapter createEIVLEventAdapter()

  Creates a new adapter for an object of class '`EIVL Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EIVLEvent`

### createEIVLPPDTSAdapter

    public org.eclipse.emf.common.notify.Adapter createEIVLPPDTSAdapter()

  Creates a new adapter for an object of class '`EIVLPPDTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EIVLPPDTS`

### createEIVLTSAdapter

    public org.eclipse.emf.common.notify.Adapter createEIVLTSAdapter()

  Creates a new adapter for an object of class '`EIVLTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EIVLTS`

### createENAdapter

    public org.eclipse.emf.common.notify.Adapter createENAdapter()

  Creates a new adapter for an object of class '`EN`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EN`

### createEnDelimiterAdapter

    public org.eclipse.emf.common.notify.Adapter createEnDelimiterAdapter()

  Creates a new adapter for an object of class '`En Delimiter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnDelimiter`

### createEnFamilyAdapter

    public org.eclipse.emf.common.notify.Adapter createEnFamilyAdapter()

  Creates a new adapter for an object of class '`En Family`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnFamily`

### createEnGivenAdapter

    public org.eclipse.emf.common.notify.Adapter createEnGivenAdapter()

  Creates a new adapter for an object of class '`En Given`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnGiven`

### createEnPrefixAdapter

    public org.eclipse.emf.common.notify.Adapter createEnPrefixAdapter()

  Creates a new adapter for an object of class '`En Prefix`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnPrefix`

### createEnSuffixAdapter

    public org.eclipse.emf.common.notify.Adapter createEnSuffixAdapter()

  Creates a new adapter for an object of class '`En Suffix`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnSuffix`

### createENXPAdapter

    public org.eclipse.emf.common.notify.Adapter createENXPAdapter()

  Creates a new adapter for an object of class '`ENXP`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENXP`

### createGLISTPQAdapter

    public org.eclipse.emf.common.notify.Adapter createGLISTPQAdapter()

  Creates a new adapter for an object of class '`GLISTPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GLISTPQ`

### createGLISTTSAdapter

    public org.eclipse.emf.common.notify.Adapter createGLISTTSAdapter()

  Creates a new adapter for an object of class '`GLISTTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GLISTTS`

### createHXITCEAdapter

    public org.eclipse.emf.common.notify.Adapter createHXITCEAdapter()

  Creates a new adapter for an object of class '`HXITCE`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `HXITCE`

### createHXITPQAdapter

    public org.eclipse.emf.common.notify.Adapter createHXITPQAdapter()

  Creates a new adapter for an object of class '`HXITPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `HXITPQ`

### createIIAdapter

    public org.eclipse.emf.common.notify.Adapter createIIAdapter()

  Creates a new adapter for an object of class '`II`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `II`

### createINT1Adapter

    public org.eclipse.emf.common.notify.Adapter createINT1Adapter()

  Creates a new adapter for an object of class '`INT1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `INT1`

### createIVLINTAdapter

    public org.eclipse.emf.common.notify.Adapter createIVLINTAdapter()

  Creates a new adapter for an object of class '`IVLINT`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVLINT`

### createIVLMOAdapter

    public org.eclipse.emf.common.notify.Adapter createIVLMOAdapter()

  Creates a new adapter for an object of class '`IVLMO`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVLMO`

### createIVLPPDPQAdapter

    public org.eclipse.emf.common.notify.Adapter createIVLPPDPQAdapter()

  Creates a new adapter for an object of class '`IVLPPDPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVLPPDPQ`

### createIVLPPDTSAdapter

    public org.eclipse.emf.common.notify.Adapter createIVLPPDTSAdapter()

  Creates a new adapter for an object of class '`IVLPPDTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVLPPDTS`

### createIVLPQAdapter

    public org.eclipse.emf.common.notify.Adapter createIVLPQAdapter()

  Creates a new adapter for an object of class '`IVLPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVLPQ`

### createIVLREALAdapter

    public org.eclipse.emf.common.notify.Adapter createIVLREALAdapter()

  Creates a new adapter for an object of class '`IVLREAL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVLREAL`

### createIVLTSAdapter

    public org.eclipse.emf.common.notify.Adapter createIVLTSAdapter()

  Creates a new adapter for an object of class '`IVLTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVLTS`

### createIVXBINTAdapter

    public org.eclipse.emf.common.notify.Adapter createIVXBINTAdapter()

  Creates a new adapter for an object of class '`IVXBINT`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVXBINT`

### createIVXBMOAdapter

    public org.eclipse.emf.common.notify.Adapter createIVXBMOAdapter()

  Creates a new adapter for an object of class '`IVXBMO`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVXBMO`

### createIVXBPPDPQAdapter

    public org.eclipse.emf.common.notify.Adapter createIVXBPPDPQAdapter()

  Creates a new adapter for an object of class '`IVXBPPDPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVXBPPDPQ`

### createIVXBPPDTSAdapter

    public org.eclipse.emf.common.notify.Adapter createIVXBPPDTSAdapter()

  Creates a new adapter for an object of class '`IVXBPPDTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVXBPPDTS`

### createIVXBPQAdapter

    public org.eclipse.emf.common.notify.Adapter createIVXBPQAdapter()

  Creates a new adapter for an object of class '`IVXBPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVXBPQ`

### createIVXBREALAdapter

    public org.eclipse.emf.common.notify.Adapter createIVXBREALAdapter()

  Creates a new adapter for an object of class '`IVXBREAL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVXBREAL`

### createIVXBTSAdapter

    public org.eclipse.emf.common.notify.Adapter createIVXBTSAdapter()

  Creates a new adapter for an object of class '`IVXBTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IVXBTS`

### createMOAdapter

    public org.eclipse.emf.common.notify.Adapter createMOAdapter()

  Creates a new adapter for an object of class '`MO`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MO`

### createONAdapter

    public org.eclipse.emf.common.notify.Adapter createONAdapter()

  Creates a new adapter for an object of class '`ON`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ON`

### createPIVLPPDTSAdapter

    public org.eclipse.emf.common.notify.Adapter createPIVLPPDTSAdapter()

  Creates a new adapter for an object of class '`PIVLPPDTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PIVLPPDTS`

### createPIVLTSAdapter

    public org.eclipse.emf.common.notify.Adapter createPIVLTSAdapter()

  Creates a new adapter for an object of class '`PIVLTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PIVLTS`

### createPNAdapter

    public org.eclipse.emf.common.notify.Adapter createPNAdapter()

  Creates a new adapter for an object of class '`PN`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PN`

### createPOCDMT000040ActAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ActAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Act`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Act`

### createPOCDMT000040AssignedAuthorAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040AssignedAuthorAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Assigned Author`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040AssignedAuthor`

### createPOCDMT000040AssignedCustodianAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040AssignedCustodianAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Assigned Custodian`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040AssignedCustodian`

### createPOCDMT000040AssignedEntityAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040AssignedEntityAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Assigned Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040AssignedEntity`

### createPOCDMT000040AssociatedEntityAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040AssociatedEntityAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Associated Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040AssociatedEntity`

### createPOCDMT000040AuthenticatorAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040AuthenticatorAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Authenticator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Authenticator`

### createPOCDMT000040AuthorAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040AuthorAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Author`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Author`

### createPOCDMT000040AuthoringDeviceAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040AuthoringDeviceAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Authoring Device`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040AuthoringDevice`

### createPOCDMT000040AuthorizationAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040AuthorizationAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Authorization`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Authorization`

### createPOCDMT000040BirthplaceAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040BirthplaceAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Birthplace`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Birthplace`

### createPOCDMT000040ClinicalDocumentAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ClinicalDocumentAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Clinical Document`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ClinicalDocument`

### createPOCDMT000040Component1Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Component1Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Component1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Component1`

### createPOCDMT000040Component2Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Component2Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Component2`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Component2`

### createPOCDMT000040Component3Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Component3Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Component3`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Component3`

### createPOCDMT000040Component4Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Component4Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Component4`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Component4`

### createPOCDMT000040Component5Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Component5Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Component5`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Component5`

### createPOCDMT000040ConsentAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ConsentAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Consent`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Consent`

### createPOCDMT000040ConsumableAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ConsumableAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Consumable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Consumable`

### createPOCDMT000040CriterionAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040CriterionAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Criterion`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Criterion`

### createPOCDMT000040CustodianAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040CustodianAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Custodian`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Custodian`

### createPOCDMT000040CustodianOrganizationAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040CustodianOrganizationAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Custodian Organization`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040CustodianOrganization`

### createPOCDMT000040DataEntererAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040DataEntererAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Data Enterer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040DataEnterer`

### createPOCDMT000040DeviceAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040DeviceAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Device`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Device`

### createPOCDMT000040DocumentationOfAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040DocumentationOfAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Documentation Of`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040DocumentationOf`

### createPOCDMT000040EncompassingEncounterAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040EncompassingEncounterAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Encompassing Encounter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040EncompassingEncounter`

### createPOCDMT000040EncounterAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040EncounterAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Encounter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Encounter`

### createPOCDMT000040EncounterParticipantAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040EncounterParticipantAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Encounter Participant`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040EncounterParticipant`

### createPOCDMT000040EntityAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040EntityAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Entity`

### createPOCDMT000040EntryAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040EntryAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Entry`

### createPOCDMT000040EntryRelationshipAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040EntryRelationshipAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Entry Relationship`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040EntryRelationship`

### createPOCDMT000040ExternalActAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ExternalActAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 External Act`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ExternalAct`

### createPOCDMT000040ExternalDocumentAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ExternalDocumentAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 External Document`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ExternalDocument`

### createPOCDMT000040ExternalObservationAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ExternalObservationAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 External Observation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ExternalObservation`

### createPOCDMT000040ExternalProcedureAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ExternalProcedureAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 External Procedure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ExternalProcedure`

### createPOCDMT000040GuardianAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040GuardianAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Guardian`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Guardian`

### createPOCDMT000040HealthCareFacilityAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040HealthCareFacilityAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Health Care Facility`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040HealthCareFacility`

### createPOCDMT000040Informant12Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Informant12Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Informant12`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Informant12`

### createPOCDMT000040InformationRecipientAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040InformationRecipientAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Information Recipient`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040InformationRecipient`

### createPOCDMT000040InfrastructureRootTypeIdAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040InfrastructureRootTypeIdAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Infrastructure Root Type Id`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040InfrastructureRootTypeId`

### createPOCDMT000040InFulfillmentOfAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040InFulfillmentOfAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 In Fulfillment Of`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040InFulfillmentOf`

### createPOCDMT000040IntendedRecipientAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040IntendedRecipientAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Intended Recipient`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040IntendedRecipient`

### createPOCDMT000040LabeledDrugAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040LabeledDrugAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Labeled Drug`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040LabeledDrug`

### createPOCDMT000040LanguageCommunicationAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040LanguageCommunicationAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Language Communication`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040LanguageCommunication`

### createPOCDMT000040LegalAuthenticatorAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040LegalAuthenticatorAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Legal Authenticator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040LegalAuthenticator`

### createPOCDMT000040LocationAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040LocationAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Location`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Location`

### createPOCDMT000040MaintainedEntityAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040MaintainedEntityAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Maintained Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040MaintainedEntity`

### createPOCDMT000040ManufacturedProductAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ManufacturedProductAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Manufactured Product`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ManufacturedProduct`

### createPOCDMT000040MaterialAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040MaterialAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Material`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Material`

### createPOCDMT000040NonXMLBodyAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040NonXMLBodyAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Non XML Body`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040NonXMLBody`

### createPOCDMT000040ObservationAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ObservationAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Observation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Observation`

### createPOCDMT000040ObservationMediaAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ObservationMediaAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Observation Media`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ObservationMedia`

### createPOCDMT000040ObservationRangeAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ObservationRangeAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Observation Range`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ObservationRange`

### createPOCDMT000040OrderAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040OrderAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Order`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Order`

### createPOCDMT000040OrganizationAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040OrganizationAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Organization`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Organization`

### createPOCDMT000040OrganizationPartOfAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040OrganizationPartOfAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Organization Part Of`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040OrganizationPartOf`

### createPOCDMT000040OrganizerAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040OrganizerAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Organizer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Organizer`

### createPOCDMT000040ParentDocumentAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ParentDocumentAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Parent Document`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ParentDocument`

### createPOCDMT000040Participant1Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Participant1Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Participant1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Participant1`

### createPOCDMT000040Participant2Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Participant2Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Participant2`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Participant2`

### createPOCDMT000040ParticipantRoleAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ParticipantRoleAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Participant Role`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ParticipantRole`

### createPOCDMT000040PatientAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040PatientAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Patient`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Patient`

### createPOCDMT000040PatientRoleAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040PatientRoleAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Patient Role`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040PatientRole`

### createPOCDMT000040Performer1Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Performer1Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Performer1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Performer1`

### createPOCDMT000040Performer2Adapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040Performer2Adapter()

  Creates a new adapter for an object of class '`POCDMT000040 Performer2`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Performer2`

### createPOCDMT000040PersonAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040PersonAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Person`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Person`

### createPOCDMT000040PlaceAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040PlaceAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Place`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Place`

### createPOCDMT000040PlayingEntityAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040PlayingEntityAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Playing Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040PlayingEntity`

### createPOCDMT000040PreconditionAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040PreconditionAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Precondition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Precondition`

### createPOCDMT000040ProcedureAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ProcedureAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Procedure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Procedure`

### createPOCDMT000040ProductAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ProductAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Product`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Product`

### createPOCDMT000040RecordTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040RecordTargetAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Record Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040RecordTarget`

### createPOCDMT000040ReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ReferenceAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Reference`

### createPOCDMT000040ReferenceRangeAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ReferenceRangeAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Reference Range`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ReferenceRange`

### createPOCDMT000040RegionOfInterestAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040RegionOfInterestAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Region Of Interest`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040RegionOfInterest`

### createPOCDMT000040RegionOfInterestValueAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040RegionOfInterestValueAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Region Of Interest Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040RegionOfInterestValue`

### createPOCDMT000040RelatedDocumentAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040RelatedDocumentAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Related Document`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040RelatedDocument`

### createPOCDMT000040RelatedEntityAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040RelatedEntityAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Related Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040RelatedEntity`

### createPOCDMT000040RelatedSubjectAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040RelatedSubjectAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Related Subject`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040RelatedSubject`

### createPOCDMT000040ResponsiblePartyAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ResponsiblePartyAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Responsible Party`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ResponsibleParty`

### createPOCDMT000040SectionAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040SectionAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Section`

### createPOCDMT000040ServiceEventAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040ServiceEventAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Service Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040ServiceEvent`

### createPOCDMT000040SpecimenAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040SpecimenAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Specimen`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Specimen`

### createPOCDMT000040SpecimenRoleAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040SpecimenRoleAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Specimen Role`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040SpecimenRole`

### createPOCDMT000040StructuredBodyAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040StructuredBodyAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Structured Body`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040StructuredBody`

### createPOCDMT000040SubjectAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040SubjectAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Subject`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Subject`

### createPOCDMT000040SubjectPersonAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040SubjectPersonAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Subject Person`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040SubjectPerson`

### createPOCDMT000040SubstanceAdministrationAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040SubstanceAdministrationAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Substance Administration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040SubstanceAdministration`

### createPOCDMT000040SupplyAdapter

    public org.eclipse.emf.common.notify.Adapter createPOCDMT000040SupplyAdapter()

  Creates a new adapter for an object of class '`POCDMT000040 Supply`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `POCDMT000040Supply`

### createPPDPQAdapter

    public org.eclipse.emf.common.notify.Adapter createPPDPQAdapter()

  Creates a new adapter for an object of class '`PPDPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PPDPQ`

### createPPDTSAdapter

    public org.eclipse.emf.common.notify.Adapter createPPDTSAdapter()

  Creates a new adapter for an object of class '`PPDTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PPDTS`

### createPQAdapter

    public org.eclipse.emf.common.notify.Adapter createPQAdapter()

  Creates a new adapter for an object of class '`PQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PQ`

### createPQRAdapter

    public org.eclipse.emf.common.notify.Adapter createPQRAdapter()

  Creates a new adapter for an object of class '`PQR`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PQR`

### createQTYAdapter

    public org.eclipse.emf.common.notify.Adapter createQTYAdapter()

  Creates a new adapter for an object of class '`QTY`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QTY`

### createREAL1Adapter

    public org.eclipse.emf.common.notify.Adapter createREAL1Adapter()

  Creates a new adapter for an object of class '`REAL1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `REAL1`

### createRTOAdapter

    public org.eclipse.emf.common.notify.Adapter createRTOAdapter()

  Creates a new adapter for an object of class '`RTO`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RTO`

### createRTOMOPQAdapter

    public org.eclipse.emf.common.notify.Adapter createRTOMOPQAdapter()

  Creates a new adapter for an object of class '`RTOMOPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RTOMOPQ`

### createRTOPQPQAdapter

    public org.eclipse.emf.common.notify.Adapter createRTOPQPQAdapter()

  Creates a new adapter for an object of class '`RTOPQPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RTOPQPQ`

### createRTOQTYQTYAdapter

    public org.eclipse.emf.common.notify.Adapter createRTOQTYQTYAdapter()

  Creates a new adapter for an object of class '`RTOQTYQTY`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RTOQTYQTY`

### createSCAdapter

    public org.eclipse.emf.common.notify.Adapter createSCAdapter()

  Creates a new adapter for an object of class '`SC`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SC`

### createSLISTPQAdapter

    public org.eclipse.emf.common.notify.Adapter createSLISTPQAdapter()

  Creates a new adapter for an object of class '`SLISTPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SLISTPQ`

### createSLISTTSAdapter

    public org.eclipse.emf.common.notify.Adapter createSLISTTSAdapter()

  Creates a new adapter for an object of class '`SLISTTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SLISTTS`

### createST1Adapter

    public org.eclipse.emf.common.notify.Adapter createST1Adapter()

  Creates a new adapter for an object of class '`ST1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ST1`

### createStrucDocBrAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocBrAdapter()

  Creates a new adapter for an object of class '`Struc Doc Br`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocBr`

### createStrucDocCaptionAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocCaptionAdapter()

  Creates a new adapter for an object of class '`Struc Doc Caption`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocCaption`

### createStrucDocColAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocColAdapter()

  Creates a new adapter for an object of class '`Struc Doc Col`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocCol`

### createStrucDocColgroupAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocColgroupAdapter()

  Creates a new adapter for an object of class '`Struc Doc Colgroup`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocColgroup`

### createStrucDocContentAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocContentAdapter()

  Creates a new adapter for an object of class '`Struc Doc Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocContent`

### createStrucDocFootnoteAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocFootnoteAdapter()

  Creates a new adapter for an object of class '`Struc Doc Footnote`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocFootnote`

### createStrucDocFootnoteRefAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocFootnoteRefAdapter()

  Creates a new adapter for an object of class '`Struc Doc Footnote Ref`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocFootnoteRef`

### createStrucDocItemAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocItemAdapter()

  Creates a new adapter for an object of class '`Struc Doc Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocItem`

### createStrucDocLinkHtmlAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocLinkHtmlAdapter()

  Creates a new adapter for an object of class '`Struc Doc Link Html`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocLinkHtml`

### createStrucDocListAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocListAdapter()

  Creates a new adapter for an object of class '`Struc Doc List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocList`

### createStrucDocParagraphAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocParagraphAdapter()

  Creates a new adapter for an object of class '`Struc Doc Paragraph`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocParagraph`

### createStrucDocRenderMultiMediaAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocRenderMultiMediaAdapter()

  Creates a new adapter for an object of class '`Struc Doc Render Multi Media`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocRenderMultiMedia`

### createStrucDocSubAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocSubAdapter()

  Creates a new adapter for an object of class '`Struc Doc Sub`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocSub`

### createStrucDocSupAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocSupAdapter()

  Creates a new adapter for an object of class '`Struc Doc Sup`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocSup`

### createStrucDocTableAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTableAdapter()

  Creates a new adapter for an object of class '`Struc Doc Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTable`

### createStrucDocTbodyAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTbodyAdapter()

  Creates a new adapter for an object of class '`Struc Doc Tbody`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTbody`

### createStrucDocTdAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTdAdapter()

  Creates a new adapter for an object of class '`Struc Doc Td`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTd`

### createStrucDocTextAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTextAdapter()

  Creates a new adapter for an object of class '`Struc Doc Text`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocText`

### createStrucDocTfootAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTfootAdapter()

  Creates a new adapter for an object of class '`Struc Doc Tfoot`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTfoot`

### createStrucDocThAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocThAdapter()

  Creates a new adapter for an object of class '`Struc Doc Th`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTh`

### createStrucDocTheadAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTheadAdapter()

  Creates a new adapter for an object of class '`Struc Doc Thead`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocThead`

### createStrucDocTitleAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTitleAdapter()

  Creates a new adapter for an object of class '`Struc Doc Title`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTitle`

### createStrucDocTitleContentAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTitleContentAdapter()

  Creates a new adapter for an object of class '`Struc Doc Title Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTitleContent`

### createStrucDocTitleFootnoteAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTitleFootnoteAdapter()

  Creates a new adapter for an object of class '`Struc Doc Title Footnote`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTitleFootnote`

### createStrucDocTrAdapter

    public org.eclipse.emf.common.notify.Adapter createStrucDocTrAdapter()

  Creates a new adapter for an object of class '`Struc Doc Tr`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StrucDocTr`

### createSXCMCDAdapter

    public org.eclipse.emf.common.notify.Adapter createSXCMCDAdapter()

  Creates a new adapter for an object of class '`SXCMCD`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXCMCD`

### createSXCMINTAdapter

    public org.eclipse.emf.common.notify.Adapter createSXCMINTAdapter()

  Creates a new adapter for an object of class '`SXCMINT`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXCMINT`

### createSXCMMOAdapter

    public org.eclipse.emf.common.notify.Adapter createSXCMMOAdapter()

  Creates a new adapter for an object of class '`SXCMMO`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXCMMO`

### createSXCMPPDPQAdapter

    public org.eclipse.emf.common.notify.Adapter createSXCMPPDPQAdapter()

  Creates a new adapter for an object of class '`SXCMPPDPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXCMPPDPQ`

### createSXCMPPDTSAdapter

    public org.eclipse.emf.common.notify.Adapter createSXCMPPDTSAdapter()

  Creates a new adapter for an object of class '`SXCMPPDTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXCMPPDTS`

### createSXCMPQAdapter

    public org.eclipse.emf.common.notify.Adapter createSXCMPQAdapter()

  Creates a new adapter for an object of class '`SXCMPQ`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXCMPQ`

### createSXCMREALAdapter

    public org.eclipse.emf.common.notify.Adapter createSXCMREALAdapter()

  Creates a new adapter for an object of class '`SXCMREAL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXCMREAL`

### createSXCMTSAdapter

    public org.eclipse.emf.common.notify.Adapter createSXCMTSAdapter()

  Creates a new adapter for an object of class '`SXCMTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXCMTS`

### createSXPRTSAdapter

    public org.eclipse.emf.common.notify.Adapter createSXPRTSAdapter()

  Creates a new adapter for an object of class '`SXPRTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SXPRTS`

### createTELAdapter

    public org.eclipse.emf.common.notify.Adapter createTELAdapter()

  Creates a new adapter for an object of class '`TEL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TEL`

### createThumbnailAdapter

    public org.eclipse.emf.common.notify.Adapter createThumbnailAdapter()

  Creates a new adapter for an object of class '`Thumbnail`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Thumbnail`

### createTNAdapter

    public org.eclipse.emf.common.notify.Adapter createTNAdapter()

  Creates a new adapter for an object of class '`TN`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TN`

### createTS1Adapter

    public org.eclipse.emf.common.notify.Adapter createTS1Adapter()

  Creates a new adapter for an object of class '`TS1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TS1`

### createURL1Adapter

    public org.eclipse.emf.common.notify.Adapter createURL1Adapter()

  Creates a new adapter for an object of class '`URL1`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `URL1`

### createUVPTSAdapter

    public org.eclipse.emf.common.notify.Adapter createUVPTSAdapter()

  Creates a new adapter for an object of class '`UVPTS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UVPTS`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD